Name: kde-style-skulpture
Version: 0.2.4
Release: 3%{?dist}
URL: http://www.kde-look.org/content/show.php/Skulpture?content=59031
Source: http://www.kde-look.org/CONTENT/content-files/59031-skulpture-%{version}.tar.gz
Group: User Interface/Desktops
License: GPLv3
BuildRequires: qt4-devel
BuildRequires: kde-filesystem
BuildRequires: kdelibs4-devel
BuildRequires: kdebase-workspace-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Summary: Classical three-dimensional style for KDE 


%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }


%description
Skulpture is a GUI style addon for KDE 4. It features a classical 
three-dimensional artwork with shadows and smooth gradients to enhance the 
visual experience.

Skulpture has been designed to be light and easy on eyes; many distracting 
borders or graphical elements have been removed or replaced by simpler 
artwork.


%prep
%setup -q -n skulpture-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd
   
make VERBOSE=1 %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}
    

%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc README README.html AUTHORS BUGS NEWS NOTES NOTES.html COPYING
%{_kde4_libdir}/kde4/kstyle_skulpture_config.so
%{_kde4_libdir}/kde4/kwin3_skulpture.so
%{_kde4_libdir}/kde4/kwin_skulpture_config.so
%{_qt4_plugindir}/styles/libskulpture.so
%{_kde4_appsdir}/color-schemes/
%{_kde4_appsdir}/kstyle/themes/skulpture.themerc
%{_kde4_appsdir}/kwin/skulpture.desktop
%{_kde4_appsdir}/skulpture/pics/skulpture.png
%{_kde4_appsdir}/skulpture/skulptureui.rc


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb 08 2010 Jaroslav Reznik <jreznik@redhat.com> - 0.2.4-2
- bump release

* Mon Feb 08 2010 Jaroslav Reznik <jreznik@redhat.com> - 0.2.4-1
- update to 0.2.4

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 17 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.2.3-1
- update to 0.2.3 (minor bug fixes)
- removed F10 stuff

* Mon Mar 30 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.2.2-5
- add reference to ExcludeArch bug

* Fri Mar 27 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.2.2-4
- only F10 is affected by gcc 4.3 bug

* Fri Mar 27 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.2.2-3
- exclude arch PPC for Fedora <= 10

* Fri Mar 27 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.2.2-2
- custom qtplugindir changed to _qt4_plugindir macro

* Tue Mar 24 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.2.2-1
- initial package
